﻿using System.Collections.Generic;
using ExcelReport.Model;

namespace ExcelReport.Services
{
    public class BookRepository
    {
        public IEnumerable<Book> List()
        {
            return new List<Book>
                       {
                           new Book
                               {
                                   Author = "Robert C Martin",
                                   Price = 49.99m,
                                   Title = "Clean Code",
                                   Url = "http://amzn.to/f8Umyu"
                               },
                           new Book
                               {
                                   Author = "Michael C Feathers",
                                   Price = 59.99m,
                                   Title = "Working Effectively with Legacy Code",
                                   Url = "http://amzn.to/frWOvf"
                               },
                           new Book
                               {
                                   Author = "Roy Osherove",
                                   Price = 39.99m,
                                   Title = "The Art of Unit Testing",
                                   Url = "http://amzn.to/go39dq"
                               },
                           new Book
                               {
                                   Author = "Martin Fowler",
                                   Price = 64.99m,
                                   Title = "Refactoring: Improving the Design of Existing Code",
                                   Url = "http://amzn.to/gTCWyG"
                               },
                           new Book
                               {
                                   Author = "Erich Gamma, Richard Helm, Ralph Johnson, John M Vlissides",
                                   Price = 59.99m,
                                   Title = "Design Patterns",
                                   Url = "http://amzn.to/ejbyuu"
                               },
                           new Book
                               {
                                   Author = "Elisabeth Freeman, Eric Freeman, Bert Bates, Kathy Sierra",
                                   Price = 44.95m,
                                   Title = "Head First Design Patterns",
                                   Url = "http://amzn.to/i431Ma"
                               },
                           new Book
                               {
                                   Author = "Steve McConnell",
                                   Price = 49.99m,
                                   Title = "Code Complete: A Practical Handbook of software Construction, 2nd edition",
                                   Url = "http://amzn.to/h5f9QI"
                               },
                       };
        }
    }
}