﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SimpleReport.aspx.cs" Inherits="ExcelReport.SimpleReport" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Top Selling Books Report</title>
    <style type="text/css">
#results
{
	font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;
	font-size: 12px;
	margin: 45px;
	width: 480px;
	text-align: left;
	border-collapse: collapse;
	border: 1px solid #69c;
}
#results th
{
	padding: 12px 17px 12px 17px;
	font-weight: normal;
	font-size: 14px;
	color: #039;
	border-bottom: 1px dashed #69c;
}
#results td
{
	padding: 7px 17px 7px 17px;
	color: #669;
}
#results tbody tr:hover td
{
	color: #339;
	background: #d0dafd;
}
    </style>
</head>
<body>
<a href="SimpleReport.aspx?excel=true" 
runat="server" id="exportlink">Export to Excel</a>
<table id="results">
    <thead>
        <tr>
            <th>Title</th>
            <th>Author</th>
            <th>Price</th>
        </tr>
    </thead>
    <tbody>
    <%foreach(var row in Model.Books){%>
            <td><a href="<%:row.Url %>"><%:row.Title %></a></td>
            <td><%:row.Author %></td>
            <td><%:row.Price.ToString("c") %></td>
        </tr>
        <% } %>
    </tbody>
</table>
</body>
</html>
